#
# spec file for package ghc-BlastHTTP
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name BlastHTTP
Name:           ghc-%{pkg_name}
Version:        1.2.1
Release:        lp150.1.7
Summary:        Libary to interface with the NCBI blast REST interface
License:        GPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-biocore-devel
BuildRequires:  ghc-biofasta-devel
BuildRequires:  ghc-blastxml-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-hxt-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
Searches for a provided nucleotide or protein sequence with the NCBI Blast REST
service and returns a blast result in xml format as BlastResult datatype.

For more information on BLAST refer to:
<http://blast.ncbi.nlm.nih.gov/Blast.cgi>.

Information on the webservice can be found at:
<http://www.ncbi.nlm.nih.gov/BLAST/developer.shtml>.

If you plan to submit more than 20 searches in one session, please look up the
Usage Guidelines in the webservice information.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 1.2.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.2.0 revision 1 with cabal2obs.
